from flask_restplus import Api
from pyrest.webservices.timelapse.timelapse import timelapse_api
from pyrest.webservices.taskmap.taskmap import taskmap_api
import re
import os

__version__ = '1.2.1'

api = Api(version=__version__, title='vito-pyrest', description='VITO PyREST API: RESTful API service built in Python. '
                                                            'This API focuses on image manipulations '
                                                            'and allows for programmatic rendering of taskmaps.')
api.add_namespace(timelapse_api)
api.add_namespace(taskmap_api)